Subject: Bug#546598: git-import-orig: add a suffix like ~dfsg to the upstream version if the filter option is used?

From: Guido Günther <[email-masked]>
Date: Sun, 25 Oct 2009 13:32:36 +0100

On Mon, Sep 14, 2009 at 09:36:43PM +0900, Charles Plessy wrote:
> Package: git-buildpackage
> Version: 0.4.57
> Severity: wishlist
> 
> Dear Guido,
> 
> many thanks for writing git-buildpackage. I was told about the filter
> options of git-import-orig, and this will for sure make me a loyal
> user :)
> 
> I was just wondering if you could add version renaming capacities to
> the system: when filtering to remove non-DFSG-free files, I prefer to
> change the upstream version number by adding ~dfsg to clearly indicate
> that it is not really original. It would be really great if
> git-import-orig could do it for me!
Makes sense. As a workaround you can use --upstream-version to specify
a dfsg version.
 -- Guido